#! /bin/bash

trap "echo '*** BUILD FAILED! ***' 1>&2" ERR
set -ex -o pipefail
umask 022
export PATH='/bin:/usr/bin:/usr/local/bin:~/diet-pc/tools'
export CFLAGS=${CFLAGS:--Os}
export CXXFLAGS=${CXXFLAGS:--Os}

rebuild () {
    xz -cd coreutils-8.21.tar.xz | tar xf -
    cd coreutils-8.21
    ./configure --prefix=/usr --sysconfdir=/etc --disable-nls
    make
    strip -R .note -R .comment src/tsort
    mkdir -p ../tsort/bin
    cp src/tsort ../tsort/bin/
    cd ..
    rm -rf coreutils-8.21
}

while read FN; do
    eval "[ -e $FN ] || rebuild"
done < MANIFEST

ARCH=`ipkg -V 0 print_architecture | tail -n 1 | cut -f2 -d' '`
for CTRLFILE in */CONTROL/control; do
    sed -i -e "s/__ARCH__/$ARCH/g" $CTRLFILE
    sudo ipkg-build -o root -g root `dirname $CTRLFILE`/..
done
